//*             debug.h                          *//


#ifdef DEBUG
char  *fgetenv(char *name);
static WORD wDebugLevel;
static HANDLE dbfh;
static OFSTRUCT dbOfFileStruct;
static char szDebugString[150];
static char szDebugInfoString[100];
#endif

#ifdef DEBUG
#define DebugInit(str) wDebugLevel=atoi(fgetenv(str));
//For debugging
#define DebugOut(szOut,wLevel)        {                                  \
      if (wDebugLevel >= wLevel)                                             \
      {                                                                     \
          if ((dbfh =  OpenFile ("\\trace", &dbOfFileStruct, OF_READWRITE)) != -1) \
          {                                                                     \
              wsprintf (szDebugString, "%s: %d: %s", (LPSTR)__FILE__, __LINE__, (LPSTR) szOut); \
              _llseek (dbfh, 0L, 2);  _lwrite (dbfh, szDebugString, lstrlen (szDebugString));   \
              _lwrite (dbfh, "\015\012", 2);  _lclose (dbfh);                       \
          }                                                                     \
      }                                                                     \
  }
#define DebugWord(szPrompt,wWord,wLevel)  \
      if (wDebugLevel >= wLevel)                                           \
      {                                                                    \
          wsprintf (szDebugInfoString, "%s: %d", (LPSTR)szPrompt, wWord);  \
          DebugOut(szDebugInfoString,wLevel);                           \
      }
#define DebugLong(szPrompt,dwDWord,wLevel)  \
      if (wDebugLevel >= wLevel)                                             \
      {                                                                     \
          wsprintf (szDebugInfoString, "%s: %ld", (LPSTR)szPrompt, dwDWord);  \
          DebugOut(szDebugInfoString,wLevel);                           \
      }
#define DebugPointer(szPrompt,pPointer,wLevel)  \
      if (wDebugLevel >= wLevel)                                             \
      {                                                                     \
          wsprintf (szDebugInfoString, "%s: %lx", (LPSTR)szPrompt, pPointer);  \
          DebugOut(szDebugInfoString,wLevel);                           \
      }
#define DebugString(szPrompt, szString,wLevel)  \
      if (wDebugLevel >= wLevel)                                             \
      {                                                                     \
          wsprintf (szDebugInfoString, "%s: %s", (LPSTR)szPrompt, (LPSTR)szString);  \
          DebugOut(szDebugInfoString,wLevel);                           \
      }
#else

    #define DebugOut(szOut,wLevel)
    #define DebugWord(szPrompt,wWord,wLevel)
    #define DebugLong(szPrompt,dwDWord,wLevel)
    #define DebugPointer(szPrompt,pPointer,wLevel)
    #define DebugString(szPrompt,szString,wLevel)
#endif



